// funciones/auth.js

function getToken() {
    return localStorage.getItem('access_token');
}

function getTokenExpiry() {
    return parseInt(localStorage.getItem('token_expiry'), 10);
}

function checkToken() {
    const token = getToken();
    const expiry = getTokenExpiry();
    const now = Date.now();

    console.log('Token:', token);
    console.log('Hora de expiración:', expiry);
    console.log('Hora actual:', now);

    if (!token || !expiry || now > expiry) {
        console.log('Token no válido o ha expirado');
        localStorage.removeItem('access_token');
        localStorage.removeItem('token_expiry');
        window.location.href = 'login.html'; // Redirige al login
    }
}

document.getElementById('logout-link').addEventListener('click', async (event) => {
    event.preventDefault(); // Previene el comportamiento por defecto del enlace

    // Establecer el token como expirado en el cliente
    localStorage.setItem('token_expiry', Date.now() - 1);

    // Redirigir al usuario al login después de cerrar sesión
    window.location.href = 'login.html';
});



// Llama a la función de verificación cuando la página cargue
document.addEventListener('DOMContentLoaded', checkToken);




