<?php
// Simulando el usuario conectado (esto se debería obtener de una sesión o API)
$usuario_conectado = "Nombre del Usuario";

// Determinar qué página cargar
$page = isset($_GET['page']) ? $_GET['page'] : 'inicio';

?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php include 'header.php'; ?>
    
    <script>
    // Función para verificar si el token ha expirado
    function isTokenExpired() {
        const token = localStorage.getItem('access_token');
        const tokenExpiry = localStorage.getItem('token_expiry');

        if (!token || !tokenExpiry) {
            return true; // Si no hay token o no hay expiración, se considera expirado
        }

        const currentTime = Date.now();
        return currentTime > parseInt(tokenExpiry); // Si el tiempo actual es mayor que la expiración, el token ha expirado
    }

    // Verifica si el usuario está logueado
    function checkLoginStatus() {
        if (isTokenExpired()) {
            // Si el token ha expirado o no existe, redirige al login
            window.location.href = 'login.html';
        }
    }

    // Ejecuta la verificación al cargar la página
    checkLoginStatus();
</script>

    
</head>
<body>
    <div class="container">
        <?php include 'sidebar.php'; ?>
        
        <main class="content">
            <?php
            // Cargar la página correspondiente
            switch ($page) {
            	 case 'usuarios':
            include 'pages/usuarios.php';
            break;
        case 'usuarios-lista':
            include 'pages/usuarios-lista.php';
            break;
        case 'usuarios-agregar':
            include 'pages/usuarios-agregar.php';
            break;
        case 'usuarios-editar':
            include 'pages/usuarios-editar.php';
            break;
        case 'consejero':
            include 'pages/consejero.php';
            break;
        case 'consejero-lista':
            include 'pages/consejero-lista.php';
            break;
        case 'consejero-agregar':
            include 'pages/consejero-agregar.php';
            break;
        case 'citas':
            include 'pages/citas.php';
            break;
        case 'casos':
            include 'pages/casos.php';
            break;
        default:
            include 'pages/dashboard.php';
            break;
            }
            ?>
        </main>
    </div>
 	<script src="funciones/auth.js" defer></script> <!-- validar token -->  
</body>
</html>
